Name:           clicfs
BuildRequires:  cmake
BuildRequires:  e2fsprogs-devel
BuildRequires:  pkgconfig(fuse)
BuildRequires:  gcc-c++
BuildRequires:  pkgconfig(openssl)
BuildRequires:  pkgconfig(liblzma)
Requires:       fuse
Summary:        Compressed Loop Image Container
Version:        1.4.6
Release:        %mkrel 9
License:        GPLv2
Url:            http://gitorious.org/opensuse/clicfs
Group:          System/Base
Source:         clicfs.tar.bz2

%description
Clic FS is a FUSE file system to mount a Compressed Loop Image
Container. It has several features that make it a good choice for live
systems. It will compress a Loop Image and export it as read write,
creating a copy on write behaviour.


%prep
%setup -q -c %{name}

%build
export CFLAGS="$RPM_OPT_FLAGS"
export CXXFLAGS="$CFLAGS"
cmake -DCMAKE_INSTALL_PREFIX=%{_prefix} \
      -DLIB=%{_lib} \
      -DCMAKE_VERBOSE_MAKEFILE=TRUE \
      -DCMAKE_BUILD_TYPE=Release \
      -DCMAKE_SKIP_RPATH=1 .

%install
%make_install


%files
%doc LICENCE
%{_bindir}/*clicfs*
%_mandir/man1/*





%changelog
* Wed Feb 12 2020 umeabot <umeabot> 1.4.6-9.mga8
+ Revision: 1511440
- Mageia 8 Mass Rebuild

* Sat Sep 22 2018 umeabot <umeabot> 1.4.6-8.mga7
+ Revision: 1296582
- Mageia 7 Mass Rebuild

* Sat Sep 09 2017 cjw <cjw> 1.4.6-7.mga7
+ Revision: 1152171
- rebuild for openssl 1.1

* Mon Feb 08 2016 umeabot <umeabot> 1.4.6-6.mga6
+ Revision: 944766
- Mageia 6 Mass Rebuild

* Wed Oct 15 2014 umeabot <umeabot> 1.4.6-5.mga5
+ Revision: 744477
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 1.4.6-4.mga5
+ Revision: 678425
- Mageia 5 Mass Rebuild

* Fri Oct 18 2013 umeabot <umeabot> 1.4.6-3.mga4
+ Revision: 503351
- Mageia 4 Mass Rebuild

* Fri Jan 11 2013 umeabot <umeabot> 1.4.6-2.mga3
+ Revision: 347882
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Wed Nov 28 2012 juancho <juancho> 1.4.6-1.mga3
+ Revision: 322536
- imported package clicfs


* Thu Jun 09 2011 Guilherme Moro <guilherme@mandriva.com> 1.4.0-0
+ Revision: 683320
- Initial import from suse
- Created package structure for clicfs.

